Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

H3-3D on 1.08

Discussion in 'Zenmuse H3-3D/H4-3D GoPro Gimbal' started by FlyingHigh, Aug 11, 2014.

  1. FlyingHigh

    Joined:
    Dec 24, 2013
    Messages:
    63
    Likes Received:
    0
    Can anyone confirm everything operated fine on firmware 1.08? My h3-3d is in the mail and I'd prefer to stay on 1.08.

    Thanks
     
  2. gppms

    Joined:
    Mar 12, 2014
    Messages:
    233
    Likes Received:
    34
    Location:
    Greece.
    It works awesome with the 1.8.My both phantoms 2 with the H3-3D and with 1.8 software works excellent, the stability of the gimbal is awesome.
     
  3. Diesel31

    Joined:
    May 20, 2013
    Messages:
    263
    Likes Received:
    1
    Location:
    Long Beach, CA
    ditto. still on 1.08 using my h3-3d without any problems.